# $Revision: 1.1 $, $Date: 2002/07/13 23:13:46 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Language
%define	pnam	Functional
Summary:	Language::Functional perl module - makes Perl slightly more functional
Summary(pl):	Modu perla Language::Functinal - czynicy Perla nieco bardziej funkcyjnym
Name:		perl-Language-Functional
Version:	0.03
Release:	1
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl already contains some functional-like functions, such as `map'
and `grep'. The purpose of this module is to add other functional-like
functions to Perl, such as foldl and foldr, as well as the use of
infinite lists.

%description -l pl
Perl ma zawiera troch funkcji w stylu funkcyjnym, takich jak map czy
grep. Celem tego moduu jest dodanie wikszej liczby takich funkcji,
jak na przykad foldl i foldr, a take uycia nieskoczonych list.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Language/Functional.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Language-Functional.spec,v $
Revision 1.1  2002/07/13 23:13:46  qboosh
- new

